Skip to main content
GET
Get bare metal GPU cluster

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

region_id
integer
required

Region ID

cluster_id
string
required

GPU cluster ID

Response

200 - application/json

GPU cluster

cluster_id
string<uuid4>
required

GPU Cluster ID

Example:

"d1e1500b-e2be-40aa-9a4b-cc493fa1af30"

cluster_name
string
required

GPU Cluster Name

Example:

"my-gpu-cluster"

cluster_status
enum<string>
required

GPU Cluster status

Available options:
ACTIVE,
CREATING,
DEGRADED,
DELETING,
ERROR,
NEW,
REBOOTING,
REBUILDING,
RESIZING,
SHUTOFF
Example:

"ACTIVE"

created_at
string | null
required

Datetime when the cluster was created

Example:

"2025-04-17 12:05:22.597284"

creator_task_id
string<uuid4> | null
required
deprecated

Task that created this entity

Example:

"d1e1500b-e2be-40aa-9a4b-cc493fa1af30"

flavor
string
required

Flavor ID is the same as the name

Example:

"bm3-ai-1xlarge-h100-80-8"

image_id
string<uuid4>
required

Image ID

Example:

"f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1"

image_name
string | null
required

Image name

Example:

"ubuntu-22.04-x64-nvidia-a100/h100-550-12.4-eni"

interfaces
AIClusterNetworkSerializer · object[] | null
required

Networks managed by user and associated with the cluster

password
string | null
required

A password for a bare metal server. This parameter is used to set a password for the "Admin" user on a Windows instance, a default user or a new user on a Linux instance

Example:

"my-password"

project_id
integer
required

Project ID

Example:

1337

region
string
required

Region name

Example:

"Luxembourg 1"

region_id
integer
required

Region ID

Example:

7

servers
GPUClusterServerSerializer · object[]
required

GPU cluster servers

ssh_key_name
string | null
required

Keypair name to inject into new cluster(s)

Example:

"my-ssh-key"

tags
TagSerializer · object[]
required

List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:
task_id
string<uuid4> | null
required

Task ID associated with the cluster

Example:

"d1e1500b-e2be-40aa-9a4b-cc493fa1af30"

task_status
enum<string>
required

Task status

Available options:
CLUSTER_CLEAN_UP,
CLUSTER_REBUILD,
CLUSTER_RESIZE,
CLUSTER_RESUME,
CLUSTER_SERVER_REBUILD,
CLUSTER_SUSPEND,
ERROR,
FINISHED,
IPU_SERVERS,
NETWORK,
POPLAR_SERVERS,
POST_DEPLOY_SETUP,
VIPU_CONTROLLER
Example:

"FINISHED"

user_data
string | null
required

String in base64 format. Must not be passed together with 'username' or 'password'. Examples of the user_data: https://cloudinit.readthedocs.io/en/latest/topics/examples.html

username
string | null
required

A name of a new user in the Linux instance. It may be passed with a 'password' parameter

Example:

"my-username"